{{ form_start(form) }}
{#        {{ form_widget(form.nom) }}#}
<div id="image">
        {{ form_widget(form) }}
</div>
<button class="btn turquoise w-100">{{ button_label|default('Sauvegarder') }}</button>
{{ form_end(form) }}

{#<style>#}
{#        #image {#}
{#                border: 2px dashed #ccc;#}
{#                width: 300px;#}
{#                height: 300px;#}
{#        }#}

{#        #image.dragover {#}
{#                border-color: #0c5460;#}
{#                background-color: #d1ecf1;#}
{#        }#}
{#</style>#}

{#<script>#}
{#        // Get the image element#}
{#        var image = document.getElementById('image');#}

{#        // Prevent default behavior when dragging over the element#}
{#        image.addEventListener('dragover', function (e) {#}
{#                e.preventDefault();#}
{#                e.stopPropagation();#}
{#                image.classList.add('dragover');#}
{#        });#}

{#        // Remove the dragover class when leaving the element#}
{#        image.addEventListener('dragleave', function (e) {#}
{#                e.preventDefault();#}
{#                e.stopPropagation();#}
{#                image.classList.remove('dragover');#}
{#        });#}

{#        // Handle the drop event#}
{#        image.addEventListener('drop', function (e) {#}
{#                e.preventDefault();#}
{#                e.stopPropagation();#}
{#                image.classList.remove('dragover');#}

{#                // Get the dropped file#}
{#                var file = e.dataTransfer.files[0];#}

{#                // Create a FormData object#}
{#                var formData = new FormData();#}

{#                // Append the file to the formData object#}
{#                formData.append('{{ form.image.vars.full_name }}', file);#}

{#                // Send the formData object to the server with an AJAX request#}
{#                var xhr = new XMLHttpRequest();#}

{#                xhr.open('POST', '{{ path('app_controller_produit_new') }}');#}

{#                xhr.send(formData);#}
{#        });#}
{#</script>#}







